<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Thumbnail (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Thumbnail (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Thumbnail.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/SummaryInformation.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/TypedPropertyValue.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/Thumbnail.html" target="_top">Frames</a></li>
        <li><a href="Thumbnail.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class Thumbnail" class="title">Class Thumbnail</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hpsf.Thumbnail</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Thumbnail</span>
extends java.lang.Object</pre>
                <div class="block"><p>Class to manipulate data in the Clipboard Variant (<a
                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_CF"><code>VT_CF</code></a>) format.</p>
                </div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>,
                        <a href="https://msdn.microsoft.com/en-us/library/windows/desktop/ms649014(v=vs.85).aspx">Clipboard
                            Operations</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_BITMAP">CF_BITMAP</a></span></code>
                                    <div class="block">Clipboard Format - Bitmap</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_DIB">CF_DIB</a></span></code>
                                    <div class="block">Clipboard Format - Device Independent Bitmap</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_ENHMETAFILE">CF_ENHMETAFILE</a></span></code>
                                    <div class="block">Clipboard Format - Enhanced Windows metafile format</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_METAFILEPICT">CF_METAFILEPICT</a></span></code>
                                    <div class="block">Clipboard Format - Windows metafile format.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_FMTID">CFTAG_FMTID</a></span></code>
                                    <div class="block">Clipboard Format Tag - Format ID</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_MACINTOSH">CFTAG_MACINTOSH</a></span></code>
                                    <div class="block">Clipboard Format Tag - Macintosh clipboard format</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_NODATA">CFTAG_NODATA</a></span></code>
                                    <div class="block">Clipboard Format Tag - No Data</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS">CFTAG_WINDOWS</a></span></code>
                                    <div class="block">Clipboard Format Tag - Windows clipboard format</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#OFFSET_CF">OFFSET_CF</a></span></code>
                                    <div class="block">Offset in bytes where the Clipboard Format starts in the
                                        <code>byte[]</code> returned by <a
                                                href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#OFFSET_CFTAG">OFFSET_CFTAG</a></span></code>
                                    <div class="block">Offset in bytes where the Clipboard Format Tag starts in the
                                        <code>byte[]</code> returned by <a
                                                href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#OFFSET_WMFDATA">OFFSET_WMFDATA</a></span></code>
                                    <div class="block">Offset in bytes where the Windows Metafile (WMF) image data
                                        starts in the <code>byte[]</code> returned by <a
                                                href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#Thumbnail--">Thumbnail</a></span>()</code>
                                    <div class="block">Default Constructor.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#Thumbnail-byte:A-">Thumbnail</a></span>(byte[]&nbsp;thumbnailData)</code>
                                    <div class="block">Creates a <code>Thumbnail</code> instance and initializes
                                        with the specified image bytes.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#getClipboardFormat--">getClipboardFormat</a></span>()</code>
                                    <div class="block">Returns an <code>int</code> representing the Clipboard
                                        Format
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#getClipboardFormatTag--">getClipboardFormatTag</a></span>()</code>
                                    <div class="block">Returns an <code>int</code> representing the Clipboard
                                        Format Tag
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#getThumbnail--">getThumbnail</a></span>()</code>
                                    <div class="block">Returns the thumbnail as a <code>byte[]</code> in <a
                                            href="../../../../org/apache/poi/hpsf/Variant.html#VT_CF"><code>VT_CF</code></a>
                                        format.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#getThumbnailAsWMF--">getThumbnailAsWMF</a></span>()</code>
                                    <div class="block">Returns the Thumbnail as a <code>byte[]</code> of WMF data
                                        if the Thumbnail's Clipboard Format Tag is <a
                                                href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS"><code>CFTAG_WINDOWS</code></a>
                                        and its Clipboard Format is
                                        <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_METAFILEPICT"><code>CF_METAFILEPICT</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/Thumbnail.html#setThumbnail-byte:A-">setThumbnail</a></span>(byte[]&nbsp;thumbnail)</code>
                                    <div class="block">Sets the Thumbnail's underlying <code>byte[]</code> in
                                        <a href="../../../../org/apache/poi/hpsf/Variant.html#VT_CF"><code>VT_CF</code></a>
                                        format.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="OFFSET_CFTAG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OFFSET_CFTAG</h4>
                                <pre>public static final&nbsp;int OFFSET_CFTAG</pre>
                                <div class="block"><p>Offset in bytes where the Clipboard Format Tag starts in the
                                    <code>byte[]</code> returned by <a
                                            href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                </p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.OFFSET_CFTAG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="OFFSET_CF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OFFSET_CF</h4>
                                <pre>public static final&nbsp;int OFFSET_CF</pre>
                                <div class="block"><p>Offset in bytes where the Clipboard Format starts in the
                                    <code>byte[]</code> returned by <a
                                            href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                </p>

                                    <p>This is only valid if the Clipboard Format Tag is <a
                                            href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS"><code>CFTAG_WINDOWS</code></a>
                                    </p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.OFFSET_CF">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="OFFSET_WMFDATA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>OFFSET_WMFDATA</h4>
                                <pre>public static final&nbsp;int OFFSET_WMFDATA</pre>
                                <div class="block"><p>Offset in bytes where the Windows Metafile (WMF) image data
                                    starts in the <code>byte[]</code> returned by <a
                                            href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                </p>

                                    <p>There is only WMF data at this point in the
                                        <code>byte[]</code> if the Clipboard Format Tag is <a
                                                href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS"><code>CFTAG_WINDOWS</code></a>
                                        and the Clipboard Format is <a
                                                href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_METAFILEPICT"><code>CF_METAFILEPICT</code></a>.
                                    </p>

                                    <p>Note: The <code>byte[]</code> that starts at
                                        <code>OFFSET_WMFDATA</code> and ends at
                                        <code>getThumbnail().length - 1</code> forms a complete WMF
                                        image. It can be saved to disk with a <code>.wmf</code> file
                                        type and read using a WMF-capable image viewer.</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.OFFSET_WMFDATA">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CFTAG_WINDOWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CFTAG_WINDOWS</h4>
                                <pre>public static final&nbsp;int CFTAG_WINDOWS</pre>
                                <div class="block"><p>Clipboard Format Tag - Windows clipboard format</p>

                                    <p>A <code>DWORD</code> indicating a built-in Windows clipboard
                                        format value</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CFTAG_WINDOWS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CFTAG_MACINTOSH">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CFTAG_MACINTOSH</h4>
                                <pre>public static final&nbsp;int CFTAG_MACINTOSH</pre>
                                <div class="block"><p>Clipboard Format Tag - Macintosh clipboard format</p>

                                    <p>A <code>DWORD</code> indicating a Macintosh clipboard format
                                        value</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CFTAG_MACINTOSH">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CFTAG_FMTID">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CFTAG_FMTID</h4>
                                <pre>public static final&nbsp;int CFTAG_FMTID</pre>
                                <div class="block"><p>Clipboard Format Tag - Format ID</p>

                                    <p>A GUID containing a format identifier (FMTID). This is
                                        rarely used.</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CFTAG_FMTID">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CFTAG_NODATA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CFTAG_NODATA</h4>
                                <pre>public static final&nbsp;int CFTAG_NODATA</pre>
                                <div class="block"><p>Clipboard Format Tag - No Data</p>

                                    <p>A <code>DWORD</code> indicating No data. This is rarely
                                        used.</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CFTAG_NODATA">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CF_METAFILEPICT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CF_METAFILEPICT</h4>
                                <pre>public static final&nbsp;int CF_METAFILEPICT</pre>
                                <div class="block"><p>Clipboard Format - Windows metafile format. This is the
                                    recommended way to store thumbnails in Property Streams.</p>

                                    <p><strong>Note:</strong> This is not the same format used in
                                        regular WMF images. The clipboard version of this format has an
                                        extra clipboard-specific header.</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CF_METAFILEPICT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CF_DIB">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CF_DIB</h4>
                                <pre>public static final&nbsp;int CF_DIB</pre>
                                <div class="block"><p>Clipboard Format - Device Independent Bitmap</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CF_DIB">Constant
                                        Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CF_ENHMETAFILE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CF_ENHMETAFILE</h4>
                                <pre>public static final&nbsp;int CF_ENHMETAFILE</pre>
                                <div class="block"><p>Clipboard Format - Enhanced Windows metafile format</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CF_ENHMETAFILE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CF_BITMAP">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CF_BITMAP</h4>
                                <pre>public static final&nbsp;int CF_BITMAP</pre>
                                <div class="block"><p>Clipboard Format - Bitmap</p></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../constant-values.html#org.apache.poi.hpsf.Thumbnail.CF_BITMAP">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Thumbnail--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>Thumbnail</h4>
                                <pre>public&nbsp;Thumbnail()</pre>
                                <div class="block"><p>Default Constructor. If you use it then one you'll have to add
                                    the thumbnail <code>byte[]</code> from <a
                                            href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                    to do any useful
                                    manipulations, otherwise you'll get a
                                    <code>NullPointerException</code>.</p></div>
                            </li>
                        </ul>
                        <a name="Thumbnail-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Thumbnail</h4>
                                <pre>public&nbsp;Thumbnail(byte[]&nbsp;thumbnailData)</pre>
                                <div class="block"><p>Creates a <code>Thumbnail</code> instance and initializes
                                    with the specified image bytes.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>thumbnailData</code> - The thumbnail data</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getThumbnail--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getThumbnail</h4>
                                <pre>public&nbsp;byte[]&nbsp;getThumbnail()</pre>
                                <div class="block"><p>Returns the thumbnail as a <code>byte[]</code> in <a
                                        href="../../../../org/apache/poi/hpsf/Variant.html#VT_CF"><code>VT_CF</code></a>
                                    format.</p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The thumbnail value</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setThumbnail-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setThumbnail</h4>
                                <pre>public&nbsp;void&nbsp;setThumbnail(byte[]&nbsp;thumbnail)</pre>
                                <div class="block"><p>Sets the Thumbnail's underlying <code>byte[]</code> in
                                    <a href="../../../../org/apache/poi/hpsf/Variant.html#VT_CF"><code>VT_CF</code></a>
                                    format.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>thumbnail</code> - The new thumbnail value</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../org/apache/poi/hpsf/SummaryInformation.html#getThumbnail--"><code>SummaryInformation.getThumbnail()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getClipboardFormatTag--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClipboardFormatTag</h4>
                                <pre>public&nbsp;long&nbsp;getClipboardFormatTag()</pre>
                                <div class="block"><p>Returns an <code>int</code> representing the Clipboard
                                    Format Tag</p>

                                    <p>Possible return values are:</p>
                                    <ul>
                                        <li>
                                            <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS"><code>CFTAG_WINDOWS</code></a>
                                        </li>
                                        <li>
                                            <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_MACINTOSH"><code>CFTAG_MACINTOSH</code></a>
                                        </li>
                                        <li><a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_FMTID"><code>CFTAG_FMTID</code></a>
                                        </li>
                                        <li><a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_NODATA"><code>CFTAG_NODATA</code></a>
                                        </li>
                                    </ul>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A flag indicating the Clipboard Format Tag</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getClipboardFormat--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClipboardFormat</h4>
                                <pre>public&nbsp;long&nbsp;getClipboardFormat()
                        throws <a href="../../../../org/apache/poi/hpsf/HPSFException.html"
                                  title="class in org.apache.poi.hpsf">HPSFException</a></pre>
                                <div class="block"><p>Returns an <code>int</code> representing the Clipboard
                                    Format</p>

                                    <p>Will throw an exception if the Thumbnail's Clipboard Format
                                        Tag is not <a
                                                href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS"><code>CFTAG_WINDOWS</code></a>.
                                    </p>

                                    <p>Possible return values are:</p>

                                    <ul>
                                        <li>
                                            <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_METAFILEPICT"><code>CF_METAFILEPICT</code></a>
                                        </li>
                                        <li>
                                            <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_DIB"><code>CF_DIB</code></a>
                                        </li>
                                        <li>
                                            <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_ENHMETAFILE"><code>CF_ENHMETAFILE</code></a>
                                        </li>
                                        <li><a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_BITMAP"><code>CF_BITMAP</code></a>
                                        </li>
                                    </ul>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a flag indicating the Clipboard Format</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/hpsf/HPSFException.html"
                                                 title="class in org.apache.poi.hpsf">HPSFException</a></code> - if the
                                        Thumbnail isn't CFTAG_WINDOWS
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getThumbnailAsWMF--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getThumbnailAsWMF</h4>
                                <pre>public&nbsp;byte[]&nbsp;getThumbnailAsWMF()
                         throws <a href="../../../../org/apache/poi/hpsf/HPSFException.html"
                                   title="class in org.apache.poi.hpsf">HPSFException</a></pre>
                                <div class="block"><p>Returns the Thumbnail as a <code>byte[]</code> of WMF data
                                    if the Thumbnail's Clipboard Format Tag is <a
                                            href="../../../../org/apache/poi/hpsf/Thumbnail.html#CFTAG_WINDOWS"><code>CFTAG_WINDOWS</code></a>
                                    and its Clipboard Format is
                                    <a href="../../../../org/apache/poi/hpsf/Thumbnail.html#CF_METAFILEPICT"><code>CF_METAFILEPICT</code></a>
                                </p>
                                    <p>This
                                        <code>byte[]</code> is in the traditional WMF file, not the
                                        clipboard-specific version with special headers.</p>

                                    <p>See <a href="http://www.wvware.com/caolan/ora-wmf.html"
                                              target="_blank">http://www.wvware.com/caolan/ora-wmf.html</a>
                                        for more information on the WMF image format.</p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A WMF image of the Thumbnail</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/hpsf/HPSFException.html"
                                                 title="class in org.apache.poi.hpsf">HPSFException</a></code> - if the
                                        Thumbnail isn't CFTAG_WINDOWS and
                                        CF_METAFILEPICT
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Thumbnail.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/SummaryInformation.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/TypedPropertyValue.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/Thumbnail.html" target="_top">Frames</a></li>
        <li><a href="Thumbnail.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
